# FreshGuard Frontend

FreshGuard Frontend is the user interface for the FreshGuard application, built using SvelteKit. It provides an intuitive and responsive way to classify apples as fresh or rotten, powered by the FreshGuard API.

## Features
- **Modern UI**: Built with SvelteKit for a fast and interactive user experience.
- **Easy Deployment**: Compatible with Vercel, Netlify, and Cloudflare Pages.
- **Environment Configuration**: Customizable API endpoint via environment variables.

## Getting Started

### Prerequisites
Ensure you have the following installed:
- Node.js 18 or higher
- npm (Node package manager)

### Installation
1. Clone the repository:
   ```bash
   git clone https://git.fcd.im/folfcoder/freshguard.git
   cd freshguard
   ```

2. Install dependencies:
   ```bash
   npm install
   ```

3. Set the API endpoint:
   Create a `.env` file in the root directory and add the following:
   ```env
   PUBLIC_FRESHGUARD_ENDPOINT=<your-api-endpoint>
   ```
   Replace `<your-api-endpoint>` with the URL of the FreshGuard API.

4. Run the application locally:
   ```bash
   npm run dev
   ```
   The application will be accessible at `http://localhost:5173`.

## Deployment
FreshGuard Frontend is designed to be easily deployable on various platforms. Below are general steps for deploying:

### Vercel
1. Push your repository to a Git hosting service (e.g., GitHub).
2. Connect your repository to Vercel.
3. Set the `PUBLIC_FRESHGUARD_ENDPOINT` environment variable in the Vercel dashboard.
4. Deploy the application.

Refer to [Vercel Documentation](https://vercel.com/docs) for detailed instructions.

### Netlify
1. Push your repository to a Git hosting service (e.g., GitHub).
2. Connect your repository to Netlify.
3. Set the `PUBLIC_FRESHGUARD_ENDPOINT` environment variable in the Netlify dashboard.
4. Deploy the application.

Refer to [Netlify Documentation](https://docs.netlify.com/) for detailed instructions.

### Cloudflare Pages
1. Push your repository to a Git hosting service (e.g., GitHub).
2. Connect your repository to Cloudflare Pages.
3. Set the `PUBLIC_FRESHGUARD_ENDPOINT` environment variable in the Cloudflare Pages settings.
4. Deploy the application.

Refer to [Cloudflare Pages Documentation](https://developers.cloudflare.com/pages/) for detailed instructions.